
$(document).ready(function () {
    $("#tanggal_lahir").change(function () {
        //console.log("berubah nih!");
        var x = new Date($("#tanggal_lahir").val());
        var Cnow = new Date();
        if (Cnow.getFullYear() < x.getFullYear()) {
            bootbox.alert({
                title: "<span min-height='100px'></span>",
                message: "Tanggal Lahir tidak Boleh Melebihi Tanggal Hari ini!",
                callback: function () {
                    console.log('This was logged in the callback!');
                },
                centerVertical: true
            })
            //$("#tanggal_lahir").val('');
        }
    });
});
loadagama()
function loadagama() {
    $.ajax({
        type: 'POST',
        dataType: 'json',
        url: baseURL + '/api/loadagama',

        success: function (result) {

            if (result['code'] == 0) {
                //console.log (result);
                var res = result['data'];

                optionseg = '';
                optionseg += '<option value="Pilih" disabled selected>-- Pilih --</option>';
                for (var i = 0; i < res.length; i++) {
                    optionseg += '<option value="' + res[i].id + '">' + res[i].nama + '</option>';
                }

                $("select#agama").html(optionseg);
            } else {
                bootbox.alert({ message: 'Agama tidak ada', centerVertical: true });
            }
        }
    });
}

loadpekerjaan()
function loadpekerjaan() {
    $.ajax({
        type: 'POST',
        dataType: 'json',
        url: baseURL + '/api/loadpekerjaan',

        success: function (result) {

            if (result['code'] == 0) {
                //console.log (result);
                var res = result['data'];

                optionseg = '';
                optionseg += '<option value="Pilih" disabled selected>-- Pilih --</option>';
                for (var i = 0; i < res.length; i++) {
                    optionseg += '<option value="' + res[i].id + '">' + res[i].nama_pekerjaan + '</option>';
                }

                $("select#pekerjaan").html(optionseg);
            } else {
                bootbox.alert({ message: 'Pekerjaan tidak ada ', centerVertical: true });
            }
        }
    });
}

loadpendidikan()
function loadpendidikan() {
    $.ajax({
        type: 'POST',
        dataType: 'json',
        url: baseURL + '/api/loadpendidikan',

        success: function (result) {

            if (result['code'] == 0) {
                //console.log (result);
                var res = result['data'];

                optionseg = '';
                optionseg += '<option value="Pilih" disabled selected>-- Pilih --</option>';
                for (var i = 0; i < res.length; i++) {
                    optionseg += '<option value="' + res[i].id + '">' + res[i].nama_pendidikan + '</option>';
                }

                $("select#Pendidikan").html(optionseg);
            } else {
                bootbox.alert({ message: 'Pendidikan  tidak ada ', centerVertical: true });
            }
        }
    });
}

loadstatuskawin()
function loadstatuskawin() {
    $.ajax({
        type: 'POST',
        dataType: 'json',
        url: baseURL + '/api/loadstatuskawin',

        success: function (result) {

            if (result['code'] == 0) {
                //console.log (result);
                var res = result['data'];

                optionseg = '';
                optionseg += '<option value="Pilih" disabled selected>-- Pilih --</option>';
                for (var i = 0; i < res.length; i++) {
                    optionseg += '<option value="' + res[i].id + '">' + res[i].nama + '</option>';
                }

                $("select#status_perkawinan").html(optionseg);
            } else {
                bootbox.alert({ message: 'Status tidak ada', centerVertical: true });
            }
        }
    });
}
loadprovinsi()
function loadprovinsi() {
    $.ajax({
        type: 'POST',
        dataType: 'json',
        url: baseURL + '/api/loadprovinsi',

        success: function (result) {

            if (result['code'] == 0) {
                //console.log (result);
                var res = result['data'];

                optionseg = '';
                optionseg += '<option value="Pilih" disabled selected>-- Pilih --</option>';
                for (var i = 0; i < res.length; i++) {
                    optionseg += '<option value="' + res[i].id + '">' + res[i].name + '</option>';
                }

                $("select#Provinsi").html(optionseg);
            } else {
                bootbox.alert({ message: ' Provinsi tidak ada', centerVertical: true });
            }
        }
    });
}
$('#Provinsi').on('change', function () {
    var Provinsi = $('#Provinsi').val();
    // console.log(idpoli);
    $.ajax({
        type: 'POST',
        dataType: 'json',
        url: baseURL + '/api/loadkota',
        data: {
            iProvinsi: Provinsi
        },
        success: function (result) {
            console.log(result)

            if (result['code'] == 0) {

                var res = result['data'];
                optionseg = '';
                optionseg += '<option value="Pilih" disabled selected>-- Pilih --</option>';
                for (var i = 0; i < res.length; i++) {
                    optionseg += '<option value="' + res[i].id + '">' + res[i].name + '</option>';
                }

                $("select#Kota").html(optionseg);
            } else {
                bootbox.alert({ message: 'Kota tidak ada ', centerVertical: true });
            }
        }
    });
})
$('#Kota').on('change', function () {
    var Kota = $('#Kota').val();
    // console.log(idpoli);
    $.ajax({
        type: 'POST',
        dataType: 'json',
        url: baseURL + '/api/loadkecamatan',
        data: {
            iKota: Kota
        },
        success: function (result) {
            console.log(result)

            if (result['code'] == 0) {

                var res = result['data'];
                optionseg = '';
                optionseg += '<option value="Pilih" disabled selected>-- Pilih --</option>';
                for (var i = 0; i < res.length; i++) {
                    optionseg += '<option value="' + res[i].id + '">' + res[i].name + '</option>';
                }

                $("select#kecamatan").html(optionseg);
            } else {
                bootbox.alert({ message: 'Kecamatan tidak ada ', centerVertical: true });
            }
        }
    });
})

$('#kecamatan').on('change', function () {
    var kecamatan = $('#kecamatan').val();
    // console.log(idpoli);
    $.ajax({
        type: 'POST',
        dataType: 'json',
        url: baseURL + '/api/loadkelurahan',
        data: {
            ikecamatan: kecamatan
        },
        success: function (result) {
            console.log(result)

            if (result['code'] == 0) {

                var res = result['data'];
                optionseg = '';
                optionseg += '<option value="Pilih" disabled selected>-- Pilih --</option>';
                for (var i = 0; i < res.length; i++) {
                    optionseg += '<option value="' + res[i].id + '">' + res[i].name + '</option>';
                }

                $("select#Kelurahan").html(optionseg);
            } else {
                bootbox.alert({ message: 'Kelurahan tidak ada ', centerVertical: true });
            }
        }
    });
})





$('#tambahdata').on('click', function () {
    let nama = $('#nama').val();
    let tempat_lahir = $('#tempat_lahir').val();
    let tanggal_lahir = $('#tanggal_lahir').val();
    let alamat = $('#alamat').val();
    let no_hp = $('#no_hp').val();
    let ktp = $('#ktp').val();
    let jenis_kelamin = $("input[name=gender]:checked").val();
    let Provinsi = $("#Provinsi option:selected").attr("value");
    let Kota = $("#Kota option:selected").attr("value");
    let kecamatan = $("#kecamatan option:selected").attr("value");
    let Kelurahan = $("#Kelurahan option:selected").attr("value");
    let status_perkawinan = $("#status_perkawinan option:selected").attr("value");
    let Pendidikan = $("#Pendidikan option:selected").attr("value");
    let pekerjaan = $("#pekerjaan option:selected").attr("value");
    let agama = $("#agama option:selected").attr("value");

    if (ktp == null || ktp == "") {
        bootbox.alert({ message: 'No Induk Kependudukan (NIK) tidak boleh kosong', centerVertical: true });
        return false;
    }
    else if (nama == null || nama == "") {
        bootbox.alert({ message: 'Nama tidak boleh kosong', centerVertical: true });
        return false;
    } else if (tempat_lahir == null || tempat_lahir == "") {
        bootbox.alert({ message: 'Tempat lahir tidak boleh kosong', centerVertical: true });
        return false;
    } else if (jenis_kelamin == null || jenis_kelamin == "") {
        bootbox.alert({ message: 'Jenis kelamin tidak boleh kosong', centerVertical: true });
        return false;
    } else if (tanggal_lahir == null || tanggal_lahir == "") {
        bootbox.alert({ message: 'Tanggal lahir tidak boleh kosong', centerVertical: true });
        return false;
    } else if (agama == null || agama == "" || agama == "Pilih") {
        bootbox.alert({ message: 'Agama tidak boleh kosong', centerVertical: true });
        return false;
    } else if (pekerjaan == null || pekerjaan == "" || pekerjaan == "Pilih") {
        bootbox.alert({ message: 'Pekerjaan tidak boleh kosong', centerVertical: true });
        return false;
    } else if (Pendidikan == null || Pendidikan == "" || Pendidikan == "Pilih") {
        bootbox.alert({ message: 'Pendidikan tidak boleh kosong', centerVertical: true });
        return false;
    } else if (status_perkawinan == null || status_perkawinan == "" || status_perkawinan == "Pilih") {
        bootbox.alert({ message: 'Status perkawinan tidak boleh kosong', centerVertical: true });
        return false;

    } else if (alamat == null || alamat == "") {
        bootbox.alert({ message: 'Alamat tidak boleh kosong', centerVertical: true });
        return false;

    } else if (Provinsi == null || Provinsi == "" || Provinsi == "Pilih") {
        bootbox.alert({ message: 'Provinsi tidak boleh kosong', centerVertical: true });
        return false;
    } else if (Kota == null || Kota == "" || Kota == "Pilih") {
        bootbox.alert({ message: 'Kota tidak boleh kosong', centerVertical: true });
        return false;
    } else if (kecamatan == null || kecamatan == "" || kecamatan == "Pilih") {
        bootbox.alert({ message: 'Kecamatan tidak boleh kosong', centerVertical: true });
        return false;
    } else if (Kelurahan == null || Kelurahan == "" || Kelurahan == "Pilih") {
        bootbox.alert({ message: 'Kelurahan tidak boleh kosong', centerVertical: true });
        return false;

    } else if (no_hp == null || no_hp == "") {
        bootbox.alert({ message: 'No hp tidak boleh kosong', centerVertical: true });
        return false;
    } else if (agama == null || agama == "" || agama == "Pilih") {
        bootbox.alert({ message: 'Agama tidak boleh kosong', centerVertical: true });
        return false;
    } else if (ktp.toString().length > 16) {
        bootbox.alert({ message: 'No Induk Kependudukan (NIK) tidak boleh lebih dari 16 angka', centerVertical: true });
        return false;
    } else if (ktp.toString().length < 16) {
        bootbox.alert({ message: 'No Induk Kependudukan (NIK) tidak boleh kurang dari 16 angka', centerVertical: true });
        return false;
    } else if (no_hp.toString().length > 13) {
        bootbox.alert({ message: 'No HP tidak boleh lebih dari 13 angka', centerVertical: true });
        return false;
    }
    else if (validasipoli(ktp) == 1) {
        bootbox.alert({ message: 'No Induk Kependudukan Sudah Digunakan!', centerVertical: true });
    }
    else {
        SaveDataAja()
    }

})






function SaveDataAja() {


    let nama = $('#nama').val();
    let tempat_lahir = $('#tempat_lahir').val();
    let tanggal_lahir = $('#tanggal_lahir').val();
    let alamat = $('#alamat').val();
    let no_hp = $('#no_hp').val();
    let ktp = $('#ktp').val();
    let jenis_kelamin = $("input[name=gender]:checked").val();
    let Provinsi = $("#Provinsi option:selected").attr("value");
    let Kota = $("#Kota option:selected").attr("value");
    let kecamatan = $("#kecamatan option:selected").attr("value");
    let Kelurahan = $("#Kelurahan option:selected").attr("value");
    let status_perkawinan = $("#status_perkawinan option:selected").attr("value");
    let Pendidikan = $("#Pendidikan option:selected").attr("value");
    let pekerjaan = $("#pekerjaan option:selected").attr("value");
    let agama = $("#agama option:selected").attr("value");

    console.log(Kota)

    let laki = $('#L').val();
    let perem = $('#P').val();


    $.ajax({
        type: 'POST',
        dataType: 'json',
        url: baseURL + '/api/savedatapasien',
        data: {

            iktp: ktp,
            inama: nama,
            itempat_lahir: tempat_lahir,
            itanggal_lahir: tanggal_lahir,
            ialamat: alamat,
            ino_hp: no_hp,
            iProvinsi: Provinsi,
            iKota: Kota,
            ikecamatan: kecamatan,
            iKelurahan: Kelurahan,
            istatus_perkawinan: status_perkawinan,
            iPendidikan: Pendidikan,
            ipekerjaan: pekerjaan,
            iagama: agama,
            ijenis_kelamin: jenis_kelamin,
        },

        success: function (result) {

            console.log(result)


            if (response['code'] == 0) {
                console.log(response);
                let $id = response.data['id'];
                let $encodedId = btoa($id);

                window.location.href = ("datapasien/" + $encodedId);

            } else {
                bootbox.alert({ message: 'Gagal Ditambahkan', centerVertical: true });
            }

        }, error: function (xhr) {

            if (xhr.status != 200) {
                //bootbox.alert(xhr.status + "-" + xhr.statusText + " <br>Silahkan coba kembali :) ");
            } else {
                alert('dadas');
            }
        }
    });
}



function validasipoli(KTP) {

    var exist = 0;

    $.ajax({
        type: 'POST',
        dataType: 'json',
        url: baseURL + '/api/loadpasien',
        async: false,
        data: {
            id: null,
        },
        success: function (result) {

            var data = result.data;

            for (x in data) {
                if (KTP == data[x]['ktp']) {
                    exist = 1;
                }
            }


        },

        error: function (xhr) {
            //alert(xhr.status+'-'+xhr.statusText);
        }
    });
    return exist;

}


var inputQuantity = [];
$(function () {
    $("#ktp").each(function (i) {
        inputQuantity[i] = this.defaultValue;
        $(this).data("idx", i); // save this field's index to access later
    });
    $("#ktp").on("keyup", function (e) {
        var $field = $(this),
            val = this.value,
            $thisIndex = parseInt($field.data("idx"), 10); // retrieve the index
        //        window.console && console.log($field.is(":invalid"));
        //  $field.is(":invalid") is for Safari, it must be the last to not error in IE8
        if (this.validity && this.validity.badInput || isNaN(val) || $field.is(":invalid")) {
            this.value = inputQuantity[$thisIndex];
            return;
        }
        if (val.length > Number($field.attr("maxlength"))) {
            val = val.slice(0, 16);
            $field.val(val);
        }
        inputQuantity[$thisIndex] = val;
    });
});